Tune stylemanager spinbutton
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17884

Description

Hi,

currently the spinbuttons for size and outline width have the tick of 1.0. So if you click on the button right beside the editbox, you just can

change the first digit of the current value. I usually have to set a value of 0.5 to avoid conflicts of the symbolizers on my map and scale,

but can't do it using the buttons, thus need to change the input device (now keyboard), enter values and switch HID back to mice= very

expensive in UX mind.

Can we please change the spinbox frequency to 0.5 so the user can use the buttons using the mouse to adjust the values. IMHO the

users usually don't need very big values here, so the UI should assist on the lower intervals.

Associated revisions

Revision bf80c007 - 2014-01-03 03:04 AM - Nathan Woodrow 

Fix #9271 - Decrease step for symbol properties

History

#1 - 2013-12-30 11:41 AM - Nyall Dawson

+1. I'd say an even smaller step like 0.1 or 0.2 would be appropriate.

#2 - 2014-01-02 06:11 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"bf80c007f24552a161ec3bdc7237570b1bbfc69f".

#3 - 2014-01-03 12:27 AM - Noone Noone

Thank you very much :)
